Bug 110551 - Tux fails to start - error below (missing files / kernel protocol mismatch)
Tux fails to start - error below (missing files / kernel protocol mismatch)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tux (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 20:20 EST by phil v.
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 07:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil v. 2003-11-20 20:20:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
New install on athlon 900.  Patches applied.
Tux reports errors when started.  See below.
Seems to expect files that aren't installed.

Version-Release number of selected component (if applicable):
tux-3.2.12-2

How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/tux start
2.
3.
    

Actual Results:  Starting tux: init.d/tux: line 69:
/proc/sys/net/tux/threads: No such file or directory
init.d/tux: line 70: /proc/sys/net/tux/documentroot: No such file or
directory
init.d/tux: line 71: /proc/sys/net/tux/cgi_uid: No such file or directory
init.d/tux: line 72: /proc/sys/net/tux/cgi_gid: No such file or directory
init.d/tux: line 73: /proc/sys/net/tux/cgiroot: No such file or directory
init.d/tux: line 75: /proc/sys/net/tux/keepalive_timeout: No such file
or directory
init.d/tux: line 77: /proc/sys/net/tux/logging: No such file or directory
init.d/tux: line 78: /proc/sys/net/tux/logfile: No such file or directory
Tux version: 2/0/0
TUX protocol version mismatch, kernel 2 != daemon 3
                                                           [FAILED]


Expected Results:  [SUCCESS]

Additional info:

[root@twiggy etc]# rpm -q httpd kernel tux
httpd-2.0.47-10
kernel-2.4.22-1.2115.nptl
tux-3.2.12-2

[root@twiggy etc]# ls /proc/sys/net/
802  core  ethernet  ipv4  token-ring  unix

Right now, httpd is covering everything just fine.
Comment 1 Seth Vidal 2003-12-25 19:50:43 EST
Tux isn't compiled in or available as a module in the fedora kernels.

Also patch400 in the kernel srpm, when you apply it, it causes the
build to fail with this error:

Patch #640 (linux-2.4.2-changeloop.patch):
+ patch -p1 -s
1 out of 12 hunks FAILED -- saving rejects to file
drivers/block/loop.c.rej
error: Bad exit status from /var/tmp/rpm-tmp.6545 (%prep)
 

Comment 2 Ingo Molnar 2004-08-18 07:48:21 EDT
there's Tux in FC2.

Note You need to log in before you can comment on or make changes to this bug.